# dipy_fit_dsi

## Synopsis

Diffusion Spectrum Imaging (DSI) reconstruction workflow.

In DSI, the diffusion signal is sampled on a Cartesian grid in q-space. When using remove_convolution=True, the convolution on the DSI propagator that is caused by the truncation of the q-space in the DSI sampling is removed.

## Usage

    dipy_fit_dsi [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvectors files. This path may contain wildcards to use multiple bvectors files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once.

## General Options

- `--qgrid_size`

  has to be an odd number. Sets the size of the q_space grid. For example if qgrid_size is 17 then the shape of the grid will be `(17, 17, 17)`. (default: 17)

- `--r_start`

  ODF is sampled radially in the PDF. This parameters shows where the sampling should start. (default: 2.1)

- `--r_end`

  Radial endpoint of ODF sampling (default: 6.0)

- `--r_step`

  Step size of the ODf sampling from r_start to r_end (default: 0.2)

- `--filter_width`

  Strength of the hanning filter (default: 32)

- `--remove_convolution`

  Whether to remove the convolution on the DSI propagator that is caused by the truncation of the q-space in the DSI sampling. (default: False)

- `--normalize_peaks`

  Whether to normalize the peaks (default: False)

- `--sphere_name`

  Sphere name on which to reconstruct the fODFs. (default: None)

- `--relative_peak_threshold`

  Only return peaks greater than `relative_peak_threshold * m` where m is the largest peak. (default: 0.5)

- `--min_separation_angle`

  The minimum distance between directions. If two peaks are too close only the larger of the two is returned. (default: 25)

- `--sh_order_max`

  Spherical harmonics order (l) used in the DKI fit. (default: 8)

- `--extract_pam_values`

  Save or not to save pam volumes as single nifti files. (default: False)

- `--parallel`

  Whether to use parallelization in peak-finding during the calibration procedure. (default: False)

- `--num_processes`

  If parallel is True, the number of subprocesses to use (default multiprocessing.cpu_count()). If < 0 the maximal number of cores minus `num_processes + 1` is used (enter -1 to use as many cores as possible). 0 raises an error. (default: None)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

- `--out_shm`

  Name of the spherical harmonics volume to be saved. (default: shm.nii.gz)

- `--out_peaks_dir`

  Name of the peaks directions volume to be saved. (default: peaks_dirs.nii.gz)

- `--out_peaks_values`

  Name of the peaks values volume to be saved. (default: peaks_values.nii.gz)

- `--out_peaks_indices`

  Name of the peaks indices volume to be saved. (default: peaks_indices.nii.gz)

- `--out_gfa`

  Name of the generalized FA volume to be saved. (default: gfa.nii.gz)

- `--out_sphere`

  Sphere vertices name to be saved. (default: sphere.txt)

- `--out_b`

  Name of the B Matrix to be saved. (default: B.nii.gz)

- `--out_qa`

  Name of the Quantitative Anisotropy to be saved. (default: qa.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.